API reference OpenAPI 3.1
POST /documents

Request a document

Bearer API key or staff session application/json operation createDocument

Request

Content type: application/json · required

FieldTypeRequiredDescription
title string Yes —
kind string No one of id_document, proof_of_address, bank_statement, source_of_funds, company_registration, other
customer_id string No —
case_id string No —
requested_from string No —
due_at string (date) No —
notes string No —
curl -X POST "$MONICHEK_API/documents" \
  -H "Authorization: Bearer $MONICHEK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "Example title",
  "kind": "id_document",
  "customer_id": "cus_01M3R...",
  "case_id": "cas_01M3R...",
  "requested_from": "string",
  "due_at": "2026-10-23",
  "notes": "Example note"
}'
const res = await fetch(`${MONICHEK_API}/documents`, {
  method: "POST",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "title": "Example title",
    "kind": "id_document",
    "customer_id": "cus_01M3R...",
    "case_id": "cas_01M3R...",
    "requested_from": "string",
    "due_at": "2026-10-23",
    "notes": "Example note"
  }),
});

const data = await res.json();
import os
import requests

res = requests.post(
    f"{os.environ['MONICHEK_API']}/documents",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
    json={
      "title": "Example title",
      "kind": "id_document",
      "customer_id": "cus_01M3R...",
      "case_id": "cas_01M3R...",
      "requested_from": "string",
      "due_at": "2026-10-23",
      "notes": "Example note"
    },
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/documents');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode([
        'title' => 'Example title',
        'kind' => 'id_document',
        'customer_id' => 'cus_01M3R...',
        'case_id' => 'cas_01M3R...',
        'requested_from' => 'string',
        'due_at' => '2026-10-23',
        'notes' => 'Example note',
    ]),
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Responses

201 Created created document request application/json

No response example is published for this status.

Error responses

StatusMeaningBody
403 Forbidden RFC 9457 problem
422 Unprocessable Entity RFC 9457 problem

Errors use the RFC 9457 problem format with a stable code.